Brainvisa-anatomist: Bug dans dans le calcul du champ de vue d'une fusion

"FusionRGBAVolumeMethod" ?
Status: Closed Start date: 13/12/2010

Priority: Normal Due date:  

Assignee: Riviere, Denis % Done: 100%

Category:  Estimated time: 0:00 hour

Target version: anatomist-4.1 Spent time: 0:00 hour

Resolution:    

Description

Sous anatomist : il semblerait que le calcul de la fenêtre de vue lors d'une fusion "FusionRGBAVolumeMethod" ne soit pas fait

correctement sous Anatomist:

Le problème se voit particulièrement si l'on cherche à fusionner 2 volumes avec un faible recouvrement.

Test : sous anatomist :

chargez volume 1

chargez volume 2

créez la fusion 2d : volume 1 -> volume 2 en indiquant la transformation qui va bien

créez une fusion FusionRGBAVolumeMethod à partir de la fusion 2d volume 1 > volume 2.

> le champ de vue de la fusion RGB ne semble pas correct : seul le volume 1 est visible.

Cordialement.

Olivier RIFF

Associated revisions

Revision 40346 - 21/12/2010 05:04 PM - Riviere, Denis

Take transformations into account when calculating MObject MinX2D...MaxZ2D(). Actually a new method has been added in AObject:

boundingBox2D() to calculate the whole bounding box only once (just as the 3D variant).

Use the 2D bounding box in Sliceable::rgbVolume() method to get the proper field of view when used on a fusion of volumes with a transformation

between them.

Fixes: #1966

Revision 40346 - 21/12/2010 05:04 PM - Riviere, Denis

Take transformations into account when calculating MObject MinX2D...MaxZ2D(). Actually a new method has been added in AObject:

boundingBox2D() to calculate the whole bounding box only once (just as the 3D variant).

Use the 2D bounding box in Sliceable::rgbVolume() method to get the proper field of view when used on a fusion of volumes with a transformation

between them.

Fixes: #1966

Revision 7b9b1535 - 21/12/2010 05:04 PM - Riviere, Denis

Take transformations into account when calculating MObject MinX2D...MaxZ2D(). Actually a new method has been added in AObject:

boundingBox2D() to calculate the whole bounding box only once (just as the 3D variant).

Use the 2D bounding box in Sliceable::rgbVolume() method to get the proper field of view when used on a fusion of volumes with a transformation

between them.

Fixes: #1966

git-svn-id: https://bioproj.extra.cea.fr/neurosvn/brainvisa/anatomist/anatomist-free/trunk@40346 613412ce-1361-4b7a-93bf-a3c75af1bae4

History

#1 - 13/12/2010 03:18 PM - Riviere, Denis

- Project changed from brainvisa to brainvisa-anatomist

#2 - 13/12/2010 03:19 PM - Riviere, Denis

- Assignee set to Riviere, Denis

- Target version set to anatomist-4.1
#3 - 21/12/2010 05:10 PM - Riviere, Denis

- Status changed from New to Closed

- % Done changed from 0 to 100

Appliqué par commit r40346.
